#navbar-placeholder {
    background-color: rgba(28, 25, 23, 0.4);
    transition: all 0.3s ease;
    position: fixed;
    top: 0;
    z-index: 100;
    width: 100%;
}

#nav-brand {
    color: #FFFFFF;
}

.active-nav {
    color: #D97706 !important;
}

.active-nav-link {
    width: fit-content;
    color: #D97706 !important;
    border: 2px solid #D97706 !important;
}

.nav-link {
    color: #FFFFFF;
}

.navbar-scrolled {
    background-color: #FAF7F2 !important;
    border-bottom: 1px solid rgba(244, 185, 66, 0.2);
}

.navbar-scrolled #nav-brand {
    color: #1F2937;
}

.navbar-scrolled .nav-link {
    color: #41464D;
}

.blur-overlay {
    position: fixed;
    inset: 0;
    backdrop-filter: blur(15px);
    -webkit-backdrop-filter: blur(15px);
    background: rgba(0, 0, 0, 0.85);
    z-index: 50;
    display: none;
    width: 100vw;
    height: 100vh;
}

.blur-active {
    display: block !important;
}

#mobile-menu {
    background-color: #ffffff !important;
    position: relative;
    z-index: 100 !important;
    box-shadow: 0 4px 6px -1px rgb(0 0 0 / 0.1);
}